@import '_content/Coplogic.UI.Components/Coplogic.UI.Components.bundle.scp.css';

/* _content/Coplogic.Server/Components/Account/Pages/Login.razor.rz.scp.css */
.login-page[b-77rv5ar2jm] {
    width: 360px;
    padding: 8% 0 0;
    margin: auto;
}

.form[b-77rv5ar2jm] {
    position: relative;
    z-index: 1;
    background: #FFFFFF;
    max-width: 360px;
    min-height: 400px;
    margin: 0 auto 100px;
    padding: 45px;
    text-align: center;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}

    .form input[b-77rv5ar2jm] {
        font-family: "Roboto", sans-serif;
        outline: 0;
        background: #f2f2f2;
        width: 100%;
        border: 0;
        margin: 0 0 15px;
        padding: 15px;
        box-sizing: border-box;
        font-size: 14px;
    }

    .form button[b-77rv5ar2jm] {
        font-family: "Roboto", sans-serif;
        text-transform: uppercase;
        outline: 0;
        background: #0b5584;
        width: 100%;
        border: 0;
        padding: 15px;
        color: #FFFFFF;
        font-size: 14px;
        -webkit-transition: all 0.3 ease;
        transition: all 0.3 ease;
        cursor: pointer;
    }

        .form button:hover[b-77rv5ar2jm], .form button:active[b-77rv5ar2jm], .form button:focus[b-77rv5ar2jm] {
            background: #0b5584;
        }

    .form .message[b-77rv5ar2jm] {
        margin: 15px 0 0;
        color: #b3b3b3;
        font-size: 12px;
    }

        .form .message a[b-77rv5ar2jm] {
            color: #0b5584;
            text-decoration: none;
        }

    .form .register-form[b-77rv5ar2jm] {
        display: none;
    }

.container[b-77rv5ar2jm] {
    position: relative;
    z-index: 1;
    max-width: 300px;
    margin: 0 auto;
}

    .container[b-77rv5ar2jm]:before, .container[b-77rv5ar2jm]:after {
        content: "";
        display: block;
        clear: both;
    }

    .container .info[b-77rv5ar2jm] {
        margin: 50px auto;
        text-align: center;
    }

        .container .info h1[b-77rv5ar2jm] {
            margin: 0 0 15px;
            padding: 0;
            font-size: 36px;
            font-weight: 300;
            color: #1a1a1a;
        }

        .container .info span[b-77rv5ar2jm] {
            color: #4d4d4d;
            font-size: 12px;
        }

            .container .info span a[b-77rv5ar2jm] {
                color: #000000;
                text-decoration: none;
            }

            .container .info span .fa[b-77rv5ar2jm] {
                color: #EF3B3A;
            }

.login-logo[b-77rv5ar2jm] {
    display: block;
    width: 100%;
}

.page-footer[b-77rv5ar2jm] {
    position: absolute;
    bottom: 0;
    min-width: 360px;
    max-width: 450px;
    text-align: center;
    padding: 10px;
}
/* _content/Coplogic.Server/Components/Account/Shared/PasswordRequirementsComponent.razor.rz.scp.css */
.password-container[b-j8jjvu7zlm] {
    border-radius: 8px;
    padding: 16px;
    background-color: #f8f9fa;
    color: #343a40;
    margin-bottom: 16px;
    display: flex;
    flex-direction: column;
}

@media (prefers-color-scheme: dark) {
    .password-container[b-j8jjvu7zlm] {
        background-color: #343a40;
        color: #f8f9fa;
    }
}

.password-requirements[b-j8jjvu7zlm] {
    flex-grow: 1;
    margin-bottom: 16px;
}

    .password-requirements ul[b-j8jjvu7zlm] {
        list-style: none;
        padding: 0;
    }

.text-valid[b-j8jjvu7zlm] {
    color: green;
}

.text-invalid[b-j8jjvu7zlm] {
    color: red;
}

.complexity-meter-container[b-j8jjvu7zlm] {
    display: flex;
    flex-direction: column;
}

.complexity-meter[b-j8jjvu7zlm] {
    height: 8px;
    border-radius: 4px;
    background-color: #e9ecef;
    overflow: hidden;
}

.complexity-bar[b-j8jjvu7zlm] {
    height: 100%;
    border-radius: 4px;
    width: 0%;
    background-color: red;
    transition: width 0.3s ease, background-color 0.3s ease;
}

.complexity-label[b-j8jjvu7zlm] {
    margin-top: 4px;
    text-align: center;
}

.separator[b-j8jjvu7zlm] {
    height: 1px;
    background-color: #ced4da;
    margin: 16px 0;
}

@media (prefers-color-scheme: dark) {
    .separator[b-j8jjvu7zlm] {
        background-color: #6c757d;
    }
}
